Subject: bug#74090: 31.0.50; Problems with dabbrev-expand

From: Juri Linkov <[email-masked]>
Date: Sat, 30 Nov 2024 19:51:38 +0200

>>> 1. C-x b foo RET
>>> 2. Type: abc SPC abd
>>> 3. C-x b *scratch* RET
>>> 4. Type: ab M-/
>>> 5. C-x k foo RET
>>> 6. Type: SPC ab M-/
>>
>> Sorry, I meant emacs-30, not emacs-29.
>
> Thanks, I can reproduce it.  With the attached patch (against emacs-30)
> I don't get the error; instead, at step 6 "ab" expands to "abc", which I
> suppose is what's expected, and then typing `M-/' again shows the
> message "No further dynamic expansion for ‘ab’ found", which also seems
> as expected.  And with the patch, all current dabbrev regression tests
> pass with ert-run-tests-batch-and-exit.  Does anyone see a problem with
> the patch?

Thanks, I confirm it works now.  Would it be nice
to have a new test that covers this case?